# Copyright (C) 2004 Free Software Foundation, Inc.
# This file is free software, distributed under the terms of the GNU
# General Public License.  As a special exception to the GNU General
# Public License, this file may be distributed as part of a program
# that contains a configuration script generated by Autoconf, under
# the same distribution terms as the rest of that program.
#
# Generated by gnulib-tool.
#
# This file represents the compiled summary of the specification in
# gnulib-cache.m4. It lists the computed macro invocations that need
# to be invoked from configure.ac.
# In projects using CVS, this file can be treated like other built files.


# This macro should be invoked from ./configure.ac, in the section
# "Checks for programs", right after AC_PROG_CC, and certainly before
# any checks for libraries, header files, types and library functions.
AC_DEFUN([gl_EARLY],
[
  AC_REQUIRE([AC_PROG_RANLIB])
  AC_REQUIRE([AC_GNU_SOURCE])
  AC_REQUIRE([gl_USE_SYSTEM_EXTENSIONS])
])

# This macro should be invoked from ./configure.ac, in the section
# "Check for header files, types and library functions".
AC_DEFUN([gl_INIT],
[
  AM_CONDITIONAL([GL_COND_LIBTOOL], [true])
changequote(,)dnl
LTALLOCA=`echo "$ALLOCA" | sed 's/\.[^.]* /.lo /g;s/\.[^.]*$/.lo/'`
changequote([, ])dnl
AC_SUBST([LTALLOCA])
  gl_FUNC_ALLOCA
  gl_ASSERT
  gl_FUNC_ATEXIT
  gl_FUNC_CHOWN
  gl_DIRNAME
  gl_ERROR
  gl_EXITFAIL
  dnl gl_USE_SYSTEM_EXTENSIONS must be added quite early to configure.ac.
  gl_FATAL_SIGNAL
  # No macro. You should also use one of fnmatch-posix or fnmatch-gnu.
  gl_FUNC_FNMATCH_POSIX
  gl_FUNC_FREE
  gl_FUNC_GETCWD
  gl_GETOPT
  gl_INTTOSTR
  gl_FUNC_LSTAT
  AC_FUNC_MALLOC
  gl_MBCHAR
  gl_MBITER
  gl_FUNC_MEMCHR
  gl_FUNC_MEMCPY
  gl_FUNC_MEMMOVE
  gl_FUNC_MEMPCPY
  gl_FUNC_MEMSET
  gl_MINMAX
  gl_FUNC_MKDIR_TRAILING_SLASH
  gl_PIPE
  gl_FUNC_READLINK
  AC_FUNC_REALLOC
  gl_REGEX
  vb_FUNC_RENAME
  gl_C_RESTRICT
  gl_FUNC_RMDIR
  gl_SIZE_MAX
  gl_FUNC_SNPRINTF
  gt_TYPE_SSIZE_T
  gl_STAT_MACROS
  AM_STDBOOL_H
  gl_STRCASE
  gl_FUNC_STRDUP
  gl_FUNC_STRPBRK
  gl_FUNC_STRSTR
  gl_FUNC_VASNPRINTF
  gl_WAIT_PROCESS
  gl_XALLOC
  gl_XSIZE
])

# This macro records the list of files which have been installed by
# gnulib-tool and may be removed by future gnulib-tool invocations.
AC_DEFUN([gl_FILE_LIST], [
  lib/alloca.c
  lib/alloca_.h
  lib/asnprintf.c
  lib/atexit.c
  lib/basename.c
  lib/chown.c
  lib/dirname.c
  lib/dirname.h
  lib/error.c
  lib/error.h
  lib/exit.h
  lib/exitfail.c
  lib/exitfail.h
  lib/fatal-signal.c
  lib/fatal-signal.h
  lib/fchown-stub.c
  lib/fnmatch.c
  lib/fnmatch_.h
  lib/fnmatch_loop.c
  lib/free.c
  lib/getcwd.c
  lib/getcwd.h
  lib/getopt.c
  lib/getopt1.c
  lib/getopt_.h
  lib/getopt_int.h
  lib/gettext.h
  lib/imaxtostr.c
  lib/intprops.h
  lib/inttostr.c
  lib/inttostr.h
  lib/lstat.c
  lib/lstat.h
  lib/malloc.c
  lib/mbchar.c
  lib/mbchar.h
  lib/mbuiter.h
  lib/memchr.c
  lib/memcpy.c
  lib/memmove.c
  lib/mempcpy.c
  lib/mempcpy.h
  lib/memset.c
  lib/minmax.h
  lib/mkdir.c
  lib/offtostr.c
  lib/pipe.c
  lib/pipe.h
  lib/printf-args.c
  lib/printf-args.h
  lib/printf-parse.c
  lib/printf-parse.h
  lib/readlink.c
  lib/realloc.c
  lib/regcomp.c
  lib/regex.c
  lib/regex.h
  lib/regex_internal.c
  lib/regex_internal.h
  lib/regexec.c
  lib/rename.c
  lib/rmdir.c
  lib/size_max.h
  lib/snprintf.c
  lib/snprintf.h
  lib/stat-macros.h
  lib/stdbool_.h
  lib/strcase.h
  lib/strcasecmp.c
  lib/strdup.c
  lib/strdup.h
  lib/stripslash.c
  lib/strncasecmp.c
  lib/strnlen1.c
  lib/strnlen1.h
  lib/strpbrk.c
  lib/strpbrk.h
  lib/strstr.c
  lib/strstr.h
  lib/umaxtostr.c
  lib/vasnprintf.c
  lib/vasnprintf.h
  lib/w32spawn.h
  lib/wait-process.c
  lib/wait-process.h
  lib/xalloc-die.c
  lib/xalloc.h
  lib/xmalloc.c
  lib/xsize.h
  m4/alloca.m4
  m4/assert.m4
  m4/atexit.m4
  m4/chown.m4
  m4/codeset.m4
  m4/d-ino.m4
  m4/dirname.m4
  m4/dos.m4
  m4/eoverflow.m4
  m4/error.m4
  m4/exitfail.m4
  m4/extensions.m4
  m4/fatal-signal.m4
  m4/fnmatch.m4
  m4/free.m4
  m4/getcwd-path-max.m4
  m4/getcwd.m4
  m4/getopt.m4
  m4/intmax_t.m4
  m4/inttostr.m4
  m4/inttypes_h.m4
  m4/longdouble.m4
  m4/longlong.m4
  m4/lstat.m4
  m4/mbchar.m4
  m4/mbiter.m4
  m4/mbrtowc.m4
  m4/mbstate_t.m4
  m4/memchr.m4
  m4/memcpy.m4
  m4/memmove.m4
  m4/mempcpy.m4
  m4/memset.m4
  m4/minmax.m4
  m4/mkdir-slash.m4
  m4/onceonly_2_57.m4
  m4/pipe.m4
  m4/readlink.m4
  m4/regex.m4
  m4/rename.m4
  m4/restrict.m4
  m4/rmdir.m4
  m4/sig_atomic_t.m4
  m4/signalblocking.m4
  m4/signed.m4
  m4/size_max.m4
  m4/snprintf.m4
  m4/ssize_t.m4
  m4/stat-macros.m4
  m4/stdbool.m4
  m4/stdint_h.m4
  m4/strcase.m4
  m4/strdup.m4
  m4/strerror_r.m4
  m4/strpbrk.m4
  m4/strstr.m4
  m4/uintmax_t.m4
  m4/ulonglong.m4
  m4/vasnprintf.m4
  m4/wait-process.m4
  m4/wchar_t.m4
  m4/wint_t.m4
  m4/xalloc.m4
  m4/xsize.m4
])
